from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ConnectionType(IntEnum):
    AUTO = auto()
    LEFT = auto()
    TOP = auto()
    RIGHT = auto()
    BOTTOM = auto()
    SPECIAL = auto()
